Subject: bug#32452: 26.1; gnutls_try_handshake maxes out cpu retrying when server is a bit busy

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 23 Feb 2022 20:48:53 +0100

Paul Eggert <[email-masked]> writes:

> I think the problem was mostly due to Gnulib's recent changing of how
> it handles conditionally-generated directories like lib/alloca.h. I
> installed the first attached patch to try to fix this. The second
> patch is the result of running admin/merge-gnulib, and the third does
> a minor cleanup of two new Gnulib files that Emacs doesn't need.

Thanks; it seems to get a bit further now, but fails here:

Checking for autoconf (need at least version 2.65) ... ok
Your system has the required tools.
Building aclocal.m4 ...
Running 'autoreconf -fi -I m4' ...
configure.ac:6060: warning: gl_FUNC_CLOSE is m4_require'd but not m4_defun'd
m4/fclose.m4:7: gl_FUNC_FCLOSE is expanded from...
m4/gnulib-comp.m4:225: gl_INIT is expanded from...
configure.ac:6060: the top level
configure:27383: error: possibly undefined macro: gl_FUNC_CLOSE
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf: error: /usr/bin/autoconf failed with exit status: 1

> Also, I installed the fourth attached patch to port Emacs's Git hooks
> to Git 2.35.1, the current Git version, as Emacs was relying on an
> undocumented Git feature that Git removed. (Am I the only Emacs
> developer using up-to-date Git?)

I just use whatever is in Debian/testing, which is:

$ git --version
git version 2.34.1

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no